@echo off
REM This batch file uses the Pandoc system, positioned together with
REM this batch in {SynDir}/pandoc/ to transform 
REM the input file named %1 into the HTML formated file with same 
REM name but html extender.
REM It uses a default.html template in {SynDir}/pandoc/templates/ 
REM folder.
REM Result is stored in source file directory.

REM Parms for SynWrite external tools configuration:
REM Filename: {SynDir}/pandoc/md2html.bat
REM Parms: "{FileName}" "{SynDir}/pandoc/"
REM Run Dir: {SynDir}/pandoc/

REM input file
set PandocNameIn=%~1
REM full path to pandoc.exe
set PandocDirIn=%~2
REM strip file extender from filename
for %%a in (%PandocNameIn%) do set OutName=%%~dpna
REM set input file
set PandocPathIn=%PandocNameIn%
REM set output file
REM set PandocPathOut=%PandocDirIn%/%Outname%.html
set PandocPathOut=%Outname%.html
REM set template for output
set mytemplate=%PandocDirIn%templates/default.html
REM set options

REM include external stylesheet, use template in Pandoc path, create section ids, use smart punctuation, create html5,  and Table of Contents 
REM pandoc.exe -c %PandocDirIn%style.css --template %mytemplate% --section-divs --smart -t html5 --toc -o "%PandocPathOut%" "%PandocPathIn%"

REM same but Standalone 
REM pandoc.exe -S -c %PandocDirIn%style.css --template %mytemplate% --section-divs --smart -t html5 --self --toc -o "%PandocPathOut%" "%PandocPathIn%"

REM Standalone with optional footer (requires adopted default.html) 
pandoc.exe -V footer:"%date% | %time:~0,5%" -S -c %PandocDirIn%style.css --template %mytemplate% --section-divs --smart -t html5 --self --toc -o "%PandocPathOut%" "%PandocPathIn%"

REM Show result in default browser
"%PandocPathOut%"

REM wait, if there are any error messages (i.e. unknown coding)
PAUSE